c*** File fitslib/fitsflip.f
c*** March 28, 1991
c*** By Doug Mink

c--- Flip FITS image top to bottom

	Subroutine FITSFLIP (HEADER,IMAGE)

	Character*(*) HEADER
c				Header string
	Integer*4 IMAGE(*)
c				FITS image (modified)

	Integer*4 BITPIX,NAXIS,NAXIS1,NAXIS2,NBROW
	Character*80 STRING
	Include 'header.cmb'

	Call ESET

c  Get dimensions of image

	Call HGETI4 (HEADER,'BITPIX',BITPIX)
	If (BITPIX .gt. 8) Then
	    Write(*,*) 'FITSINV:  Cannot invert ',BITPIX,'-bit pixels'
	    Return
	    Endif
	Call HGETI4 (HEADER,'NAXIS',NAXIS)
	Call HGETI4 (HEADER,'NAXIS1',NAXIS1)
	NBROW = NAXIS1 * BITPIX / 8
	If (NAXIS .gt. 1) Then
	    Call HGETI4 (HEADER,'NAXIS2',NAXIS2)
	Else
	    NAXIS2 = 1
	Endif

	If (VERBOSE) Then
	    Write(STRING,*) 'Flipping',NAXIS2,' rows of',NBROW,' bytes'
	    Call PSTRING (STRING)
	    Endif

	If (NAXIS2 .gt. 1) Call SFLIP (IMAGE,NAXIS2,NBROW)

	Return
	End
