c*** File iolib/concat.f
c*** October 14, 1999
c*** By Doug Mink

	Subroutine CONCAT (STR1,LEN1,STR2,LEN2)

c--- Concatenate character string STR2 onto the end of STR1
c    The lengths allow character string literals to be dealt with

	Character*(*) STR1
c			Destination character string
c			(NULL-terminated or space-padded)
	Integer*4 LEN1
c			Length of first string
	Character*(*) STR2
c			Character string to be appended
c			(NULL-terminated or space-padded)
	Integer*4 LEN2
c			Length of second string

	Character NULL*1
	Integer*4 I,J,J1

	NULL = Char (0)

	I = Index (STR1(1:LEN1),NULL)
	If (I .gt. 1) Then
	    I = I - 1
	    Go to 20
	    Endif

	Do 10 I = LEN1, 1, -1
10	    If ((STR1(I:I) .ne. ' ') .and. (STR1(I:I) .ne. NULL)) Go to 20
	I = 0

20	J1 = LEN2
	If ((LEN1-I) .lt. LEN2) J1 = LEN1 - I
	Do 30 J = 1, J1
	   I = I + 1
30	   STR1(I:I) = STR2(J:J)

	Return
	End

c Aug 29 1985	Give null termination preference over space padding

c Feb 22 1993	Declare undeclared variables i,j,j1

c Oct 14 1999	Fix argument definitions
