c*** File iolib/pchrs.f
c*** February 22, 1993
c*** By Doug Mink

        Subroutine PCHRS (NBYTE,ICHARS)

c--- Write string of bytes to standard output or file

	Integer*4 NBYTE
c				Number of bytes to output

	Character*(*) ICHARS
c				Character string to output

	Integer*4 NW

	Common/PLF/ IFIP,IOPT
	Integer*4 IFIP, IOPT
	Include 'term.cmb'

	If (NBYTE .gt. 0) Then

c	Write to standard output

	    If ((IOPT .eq. 0) .or. ((ITEK) .and. (IOPT .eq. 2))) Then
		Call SPUTC (1,NBYTE,ICHARS,NW)

c	    Error message if write is aborted

		If (NW .lt. NBYTE)
     1		    Write(*,*) 'PCHRS:',NW,'/',NBYTE,'characters written'
		Endif

c	If logging file is open, write to it, too.

	    If (IFIP .gt. 2) Call SFPUTC (IFIP,NBYTE,ICHARS,NW)

c	Write unbuffered to standard output without carriage returns

	    If (IOPT .eq. 4) Call SPUTC (IFIP,NBYTE,ICHARS,NW)
	    Endif

        Return
        End

c Aug 27 1984	Change character string size limit from 120 to 1000
c Oct 18 1984	Add optional write to other than standard output
c Oct 25 1984	Make optional buffered write in addition to standard output
c Nov  7 1984	Make standard output optional

c Apr 19 1985	Use SPUTC instead of SPUT, eliminating 100-char assignment
c May  1 1985	Fix error handling bug created at last revision

c Nov  9 1990	Add option to print file only to stdout for pipes

c Feb 22 1993	Declare undeclared variables ifip, iopt, and nw
