/*** File /usr/rgf/test/sfclose.c
 *** 8/15/84
 *** Dick French
 */

#include <sys/file.h>
#include </usr/include/stdio.h>

sfclose_ (idev,ier)

/*   Close UNIX file opened for buffered I/O (Fortran-callable)
 *
 *   Fortran calling sequence :  call sfclose(idev,ier)
 *
 *	idev	Address of UNIX file descriptor (input)
 *
 *	ier	Address of returned error flag (0 => OK)
 *
 *   Subroutines called :  system utility fclose
 *
 *   Bugs and restrictions : VAX system routine used
 *
 *   See also : UNIX manual FCLOSE(3F)
 *              sfopen.man
 *
 *   Revisions :  none
 */

int *idev;
int *ier;

{
FILE *stream;
int ptr;

	stream = (FILE*)*idev;
	ptr=fclose(stream);
	*ier=ptr;
	
	return;
}
