/*** File iolib/sfputc.c
 *** April 11, 1985
 *** Dick French
 */

#include <sys/file.h>
#include </usr/include/stdio.h>

sfputc_ (idev,nbytes,buf,nwrit,nc)

/*   Write character string to UNIX file (Fortran-callable) using buffered I/O.  
 *
 *   Fortran calling sequence :  call sfput(idev,nbytes,buf,nwrit)
 *
 *	idev	Address of UNIX file descriptor (input)
 *		Integer*4
 *
 *	nbytes	Address of number of bytes to write (input)
 *		Integer*4
 *
 *	buf	Address of buffer array (input values to write to file)
 *		Character*(*)
 *
 *	nwrit	Address of number of bytes written (returned, should=nbytes)
 *		Integer*4
 *
 *	nc	Number of characters in string buf
 *		* This is not explicitly in the calling argument list;
 *		* Fortran puts it there, necessitating this variation on SPUT
 */

char *buf;
int *nbytes,*nwrit,*idev,nc;

{
FILE *stream;
int nw,nitems,size;

	nitems = *nbytes ;
	size = 1;
	stream = (FILE*)*idev;
	nw = fwrite(buf,size,nitems,stream);
	*nwrit = nw;
	
	return;
}
