/*** File sfseek.c
 *** 8/15/84
 *** Dick French
 */

#include <sys/file.h>
#include </usr/include/stdio.h>

sfseek_ (idev,noff,nptr,ier)

/*   Reposition a UNIX file (Fortran-callable) using FSEEK(3S)
 *
 *   Fortran calling sequence : call sfseek(idev,noff,nptr,ier)
 *
 *	idev	Address of UNIX file descriptor
 *
 *	noff	Address of number of bytes to offset
 *
 *	nptr	Address of nptr. The new position is at the signed distance
 *		noff bytes from the beginning, the current position, or the
 *		end of the file, according as nptr has the value 0,1,or 2.
 *
 *	ier	Address of returned error flag (-1 for improper seek)
 *
 *   Subroutines called : system utility fseek
 *
 *   Bugs and restrictions : VAX system routine used
 *
 *   See also :  UNIX manual FSEEK(3S)
 *               sftell.man
 *               
 *   Revisions :  none
 */

int *idev,*noff,*nptr,*ier;

{
FILE *stream;
int offset,ptrname;
int nier;

	stream = (FILE*)*idev;
	offset = *noff;
	ptrname = *nptr;
	nier = fseek(stream,offset,ptrname);
	*ier = nier;	
	return;
}
