/*** File /usr/rgf/test/sftell.c
 *** 8/15/84
 *** Dick French
 */

#include <sys/file.h>
#include </usr/include/stdio.h>

sftell_ (idev,noff)

/*   Return current position ofa UNIX file (Fortran-callable) using ftell
 *
 *   Fortran calling sequence : call sftell(idev,noff)
 *
 *	idev	Address of UNIX file descriptor (input)
 *
 *	noff	Address of current value of the offset relative to the 
 *		beginning of the file, in bytes (returned)
 *
 *   Subroutines called : system utility ftell
 *
 *   Bugs and restrictions : VAX system routine used
 *
 *   See also : UNIX manual FSEEK(3S)
 *              fseek.man
 *
 *   Revisions : none
 */

int *idev,*noff;

{
FILE *stream;
int nnoff;

	stream = (FILE*)*idev;
	nnoff = ftell(stream);
	*noff = nnoff;

	return;
}
