/*** File iolib/sgetc.c
 *** March 30, 1986
 *** By Doug Mink
 */

sgetc_ (dev,nbytes,buf,nread,nc)

/*   Read character string from UNIX file (Fortran-callable)
 *
 *	dev	Address of UNIX file descriptor
 *		Integer*4
 *
 *	nbytes	Address of number of bytes to read
 *		Integer*4
 *
 *	buf	Address of buffer array (values returned)
 *		Character*(*)
 *
 *	nread	Address of number of bytes read (value returned)
 *		Integer*4
 *
 *	nc	Number of characters in string buf
 *		* This is not explicitly in the calling argument list;
 *		* Fortran puts it there, necessitating this variation on SGET
 */
char *buf;
int *nbytes,*dev,*nread,nc;
{
int idev,nb,nr;
extern int errno;

	idev = *dev;
	nb = *nbytes;
	nr = read (idev,buf,nb);

	if (nr > -1) *nread = nr;
	else *nread = -errno;

	return;
}
