/*** File iolib/sltime.c
 *** March 24, 2008
 *** By Doug Mink
 */


#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <time.h>

void
sltime_ (ndr)

/*   Return current local time
 *
 *	ndr[6]	Time array (Integer*2)
 *		Month, Day, Year, Hour, Minute, Seconds, Milliseconds
 */
int ndr[6];
{
    time_t clock;
    char *tstr, *ctime();
    int i;
    struct tm *localtime();
    struct tm *time;
    struct timeval tp;
    struct timezone tzp;
    int nd[6];

    gettimeofday (&tp,&tzp);
    clock = tp.tv_sec;

    time = localtime (&clock);
    tstr = ctime (&clock);
    printf ("time is %s\n",tstr);

    /*   Month   */
    nd[0] = time->tm_mon;

    /*   Day   */
    nd[1] = time->tm_mday;

    /*   Year   */
    nd[2] = time->tm_year;

    /*   Calculate time of day (Hours, Minutes, Seconds)   */
    nd[3] = time->tm_hour;
    nd[4] = time->tm_min;
    nd[5] = time->tm_sec; 
    printf ("time is %d/%d/%d, %d:%d:%d\n",nd[0],nd[1],nd[2],nd[3],
		nd[4],nd[5]);

    tstr = asctime (time);
    printf ("time is %s\n",tstr);

    for (i = 0; i < 7; i++ )
	*(ndr+i) = nd[i];

    return;
}
/* Feb  7 1989	New subroutine
 *
 * May 20 1998	Declare void
 *
 * Feb 18 2005	Declare clock time_t instead of int; include time.h
 *
 * Mar 24 2008	Add std includes for printf
 */
