/*** File iolib/srindex.c
 *** March 24, 2008
 *** By Doug Mink
 */

#include <string.h>

srindex_ (str, chr, ip, nc1,nc2)

/*   Search for character chr in string str returning offset from
 *   the beginning of the string or zero if not there
 *
 *	Call SRINDEX (STR, CHR, IP) from Fortran
 *
 *	Character*(*) STR
 *			Address of null-terminated string
 *	Character*(*) CHR
 *			Address of character for which to search
 *	Integer*4 IP
 *			Index of CHR in STR or 0 if not found
 *
 *	nc1	Number of characters in string STR
 *	nc2	Number of characters in string CHR
 *		* these are not explicitly in the calling argument list;
 *		* Fortran puts them there
 */

char *str;
char *chr;
int *ip;
int nc1,nc2;

{
    int ichr;

    ichr = (int) *chr;
    *ip = (int) strrchr (str, ichr);

    return;
}
