/*** File iolib/ssexst.c
 *** September 27, 2000
 *** By Dick French, modified by Doug Mink
 */

#include <unistd.h>

void
ssexst_ (path,ier,nc)

/*	Fortran-callable UNIX file accessibility check to see if file 
 *	exists.
 *	
 *	Call SSEXST (PATH,IER) from Fortran
 *
 *	Character*(*) PATH
 *		Address of null-terminated file name (=path name)
 *
 *	Integer*4 IER
 *		Address of error code (returned)
 *		(error code is 0 if file exists, else -1)
 *		*** Always returns 0 if superuser ***
 *
 *	nc	Number of characters in string path
 *		* this is not explicitly in the calling argument list;
 *		* Fortran puts it there.
 */

char *path;
int *ier,nc;

{
    *ier = access (path, F_OK);
    return;
}
/* Jun 21 1985	New subroutine
 *
 * May 20 1998	Declare void
 *
 * Sep 27 2000	Include unistd.h instead of sys/file.h
 */
