/*** File iolib/sswabc.c
 *** May 20, 1998
 *** By Doug Mink
 */

#include <sys/file.h>

void
sswabc_ (strin,strout,nbytes,nci,nco)

/*   Swap bytes in string (Fortran-callable)
 *
 *	Call SSWABC (STRIN,STROUT,NBYTES)
 *
 *	Character*(*) STRIN	Address of input string
 *
 *	Character*(*) STROUT	Address of output string
 *
 *	Integer*4 NBYTES	Address of number of bytes to swap
 *
 *	nci			Number of characters in strin
 *
 *	nco			Number of characters in strout
 */

char *strin,*strout;
int *nbytes;
int nci,nco;

{
    int ier,nb;

    nb = *nbytes;
    ier = swab (strin,strout,nb);
    /* printf ("sswab: error %d\n",ier); */
    return;
}

/*
 * Jul 12 1985	Fix bug by making strout a pointer
 *
 * May 20 1998	Declare void
 */
