/*** File iolib/sswaw.c
 *** December 18, 1986
 *** By Doug Mink
 */

#include <sys/file.h>

void
sswaw_ (strin,strout,nbytes)

/*   Reverse bytes of Integer*4 vector (Fortran-callable)
 *
 *	strin	Address of input string
 *
 *	strout	Address of output string
 *
 *	nwords	Address of number of bytes to reverse
 */

short *strin,*strout;
int *nbytes;

{
    int ier,ni,nb,iw;
    short *si,*so,temp,*slast;

    /* swap alternate bytes */
    nb = *nbytes;
    ier = swab (strin, strout,nb);

    /* swap alternate 2-byte pieces */
    ni = *nbytes / 2;
    slast = strin + ni;
    while (strin < slast) {
	temp = *strin++;
	*strout++ = *strin++;
	*strout++ = temp;
	}

    return;
}
/* Dec 18 1986	New subroutine
 *
 * May 20 1998	Declare void
 */
