/*** File iolib/sswrit.c
 *** June 21, 1985
 *** By Dick French, modified by Doug Mink
 */

#include <sys/file.h>

void
sswrit_ (path,ier,nc)

/*	Fortran-callable UNIX file accessibility check to see if file 
 *	has write permission.
 *
 *	Call SSWRIT (PATH,IER) from Fortran
 *
 *	Character*(*) PATH
 *		Address of null-terminated file name (=path name) input
 *
 *	Integer*4 IER
 *		Address of returned error code 
 *		(error code is -1 if write-protected, else 0)
 *		*** Always returns 0 if superuser ***
 *
 *	nc	Number of characters in string buf
 *		* this is not explicitly in the calling argument list;
 *		* Fortran puts it there, necessitating this variation on SPUT
 */

char *path;
int *ier;

{
    int accessible;
    int mode;

    mode = 2;
    accessible = access(path,mode);
    *ier = accessible;
    return;
}
/* Jun 21 1985	New subroutine
 *
 * May 20 1998	Declare void
 */
