/*** File iolib/sutime.c
 *** November 8, 2006
 *** By Doug Mink
 */
#include <sys/time.h>
#include <time.h>
#include <string.h>

/*   Return current local time as a string */

sutime_ (date, time)

double *date;	/* Current date as yyyy.mmdd */
double *time;	/* Current time as hh.mmssss */
{
    time_t tsec;
    struct timeval tp;
    struct timezone tzp;
    struct tm *ts;

    gettimeofday (&tp,&tzp);

    tsec = tp.tv_sec;
    ts = localtime (&tsec);

    if (ts->tm_year < 1000)
        *date = (double) (ts->tm_year + 1900);
    else
        *date = (double) ts->tm_year;
    *date = *date + (0.01 * (double) (ts->tm_mon + 1));
    *date = *date + (0.0001 * (double) ts->tm_mday);
    *time = (double) ts->tm_hour;
    *time = *time + (0.01 * (double) ts->tm_min);
    *time = *time + (0.0001 * (double) ts->tm_sec);

    return;
}
/*
 * Nov  7 1996	New subroutine
 *
 * Nov  8 2006	Revised to match WCSTools local time lt2dt()
 */
