/*** File iolib/vecdiv.c
 *** June 15, 1988
 *** By Doug Mink, Center for Astrophysics
 */

vecdiv_ (vec2,lvec,xdiv)

/*   divide vector of 2-byte integers by constant
 *
 *	vec2	Address of output Integer*2 vector
 *
 *	lvec	Address of number of elements in vector
 *
 *	xdiv	Address of number by which to divide vector
 */

short *vec2;
int *lvec;
float *xdiv;

{
short *v2, *veclast;

	v2 = vec2 - 1;
	veclast = v2 + *lvec;

	if (*xdiv > 0.) {
	    while (v2++ < veclast) {
		if (*v2 != 0) *v2 = (short) ((((float) *v2) / *xdiv) + 0.5);
		/* printf ("%d * %d = %d \n",vr,*xdiv,*v2); */
		}
	    }
	
	return;
}
