/*** File iolib/vecdiv4.c
 *** February 14, 1989
 *** By Doug Mink, Center for Astrophysics
 */

vecdiv4_ (vec4,lvec,xdiv)

/*   divide vector of 4-byte integers by constant
 *
 *	vec4	Address of output Integer*4 vector
 *
 *	lvec	Address of number of elements in vector
 *
 *	xdiv	Address of number by which to divide vector
 */

int *vec4;
int *lvec;
double *xdiv;

{
int *v4, *veclast;

	v4 = vec4 - 1;
	veclast = v4 + *lvec;

	if (*xdiv != 0.) {
	    while (v4++ < veclast) {
		if (*v4 > 0) *v4 = (int) ((((double) *v4) / *xdiv) + 0.5);
		else if (*v4 < 0) *v4 = (int) ((((double) *v4) / *xdiv) - 0.5);
		/* printf ("%d * %d = %d \n",vr,*xdiv,*v4); */
		}
	    }
	
	return;
}
