/*** File iolib/vecshft.c
 *** April 22, 1987
 *** By Doug Mink, Center for Astrophysics
 */

vecshft_ (vec4,vec2,lvec,nshft)

/*   Shift vector of 4-byte integers into 2-byte integers
 *
 *	vec4	Address of input Integer*4 vector
 *
 *	vec2	Address of output Integer*2 vector
 */

int *vec4;
int *lvec,*nshft;
short *vec2;

{
unsigned int v;
int v4s,*v4, *veclast;
int n;
unsigned int v4i;
short *v2, v2i;

	v4 = vec4;
	v2 = vec2;
	n = *nshft;
	veclast = v4 + *lvec + 1;

	if (n > 0) {
	    while (v4 < veclast) {
		v4s = *v4++;
		v4i = (unsigned) v4s;
		if (v4s == -2000000000) v2i = 0;
		else if (v4s < 0) {
		    v4i = -v4s;
		    v = v4i >> n;
		    v2i = -v; }
		else {
		    v = v4i >> n;
		    if (v > 32767) v = 32767;
		    v2i = v; }
		*v2++ = v2i;
		/* printf ("%d >> %d = %d %d \n",v4i,n,v,v2i); */
		}
	    }
	else {
	    while (v4 < veclast) *v2++ = *v4++;
	    }
	
	return;
}
