# Common for SVDSUBCON ICFIT continuum normalization
# May 29, 2007

common/contin/ sample, confunc, function, naverage, order, niterate,
		lowrej, hirej, abrej, emrej, grow, interact, conproc,convec,
		badproc, congt, congp, contbuf, contwts, contrej, contvec,
		order1, order2, badproc1, badproc2, conproc1, conproc2,
		rebvec, cnvec, lnvec

char	sample[SZ_FNAME]
char	confunc[SZ_FNAME]	# Continuum fitting function type
int	function		# Continuum fitting function code
int	naverage		# number of points to average
int	order			# order of fit
int	niterate		# number of iterations for fit
real	lowrej			# fit rejection limit in sigma below continuum
real	hirej			# fit rejection limit in sigma above continuum
real	abrej			# line rejection limit in sigma below continuum
real	emrej			# line rejection limit in sigma above continuum
real	grow			# radius around rejected points to replace
bool	interact		# Use interactive fitting (true or false)
int	conproc			# Continuum removal method (none,sub,div,zero)
int	convec			# Eigenvector continuum removal method (as above)
int	badproc			# Bad line removal method (none,fill,zero,nzero)
pointer	congt			# pointer to gtools structure
pointer	congp			# pointer to graphics structure

pointer	contbuf			# pointer to rebin buffer
pointer	contwts			# pointer to weight buffer
pointer	contrej			# pointer to rejected point flag buffer
pointer	contvec			# pointer to work buffer
int	order1,order2
int	badproc1,badproc2	# Bad line removal methods for 2-pass SVD
int	conproc1, conproc2	# Continuum removal for 2-pass SVD
pointer	rebvec[MAXTEMPS]	# Eigenvector pixels
pointer	cnvec[MAXTEMPS]		# Eigenvector continuum fits
pointer	lnvec[MAXTEMPS]		# Eigenvector lines removed

# May 15 1995	Add continuum division option

# Aug 18 1999	Replace divcon with continuum removal type conproc

# Jan 14 2000	Drop second dimension of lowrej, hirej
# Jan 17 2000	Add badproc for emission line removal
# Jan 18 2000	Add buffer pointers
# Apr 27 2000	Add order1, order2, badproc1, badproc2, conproc1, conproc2

# Dec 29 2005	Add shvec and cnvec and convec

# Jan  9 2006	Rename shvec to rebvec

# May 29 2007	Add removed lines in lnvec
