c*** File fitslib/hwrite.f
c*** March 21, 1991
c*** By Doug Mink

c--- Write FITS header after opening a data file

	Subroutine HWRITE (IFIL,FNAME,HSTRING,NW)

	Integer*4 IFIL
c			UNIX file to which to write (returned)

	Character*(*) FNAME
c			File name

	Character*(*) HSTRING
c			Header string
c			* Must be multiple of 2880 characters

	Integer*4 NW
c			Number of header bytes written (returned)
	Integer*4 IEND,NC,NWRIT

	Include 'header.cmb'

c  Open data file

	IFIL = -2
	Call OPENW (IFIL,FNAME)

c  Compute number of bytes to write

	Call HSEARCH (HSTRING,'END',IEND)
	NC = IEND + 3

c  Figure out number of bytes to write if not packed

	NW = 2880 * (NC / 2880)
	If (NW .lt. NC) NW = NW + 2880

c  Write FITS header

	Call SPUTC (IFIL,NW,HSTRING,NWRIT)
	If (NWRIT .lt. NW) Then
	    Write(*,105) NWRIT,NW,FNAME
105	    Format('HWRITE: Only',I5,'/',I5,' bytes written to "',A,'"')
	    Call PCHRS (1,Char(13))
	    Return
	    Endif

	If (VERBOSE) Write(*,110) NC,FNAME
110	Format('HWRITE:',I5,'-byte header written to file "',A,'"')

	Return
	End

c Apr 11 1985	Use SPUTC instead of SPUT, eliminating re-assignment

c May  7 1985	Clean up diagnostics

c Oct 28 1986	Truncate file if called with NC = 0

c Jul 22 1987	Drop length argument for HSEARCH

c Jul 24 1987	Always return length of header

c Oct  5 1990	Change call to PCHAR to PCHRS

c Mar 21 1991	Declare all variables
