c*** File fitslib/imgwcs.f
c*** January 10, 1996
c*** By Doug Mink, Center for Astrophysics

c--- Set search region from FITS or IRAF image header

	Subroutine IMGWCS (PARMS,FILEPATH)

	Character*(*) PARMS
c				Parameter string to run calling program
	Character*(*) FILEPATH
c				Image file pathname (.imh end for IRAF files)

	Integer*4 NBHEAD
	Character*8640 HEADER

	If (Index (FILEPATH,'.imh') .gt. 0) Then
	    Call IRAFRHEAD (FILEPATH, HEADER, NBHEAD)
	Else
	    Call FITSRHEAD (FILEPATH, HEADER, NBHEAD)
	Endif
	Call PPUTS (PARMS,'IMFILE',FILEPATH)
	Call FITSWCS (PARMS, HEADER)

	Return
	End

c Jan  4 1996	New subroutine
c Jan  5 1996	Add map projection for SKYMAP
c Jan 10 1996	Move parameter setting to FITSWCS
