c*** File iolib/drange.f
c*** August 21, 1992
c*** By Doug Mink

c--- Parse a string containing a list of integer numbers or ranges,
c    delimited by either spaces or commas.  Return as output a list
c    of numbers, and the count of list numbers.  Range limits must
c    be positive nonnegative integers.  The list of ranges is
c    delimited by a single NULL.

	Subroutine DRANGE (STRING, NMAX, VALUES, NVAL)

	Character*(*) STRING	
c				Range string to be decoded
	Integer*4 NMAX
c				Maximum number of values
	Integer*4 VALUES(*)
c				List of integer values (returned)
	Integer*4 NVAL
c				Number of values (returned)

	Logical ARTERM
	Integer*4 ITOK,I0,I1,VAL,VAL1,VAL2,NC,IER
	Integer*4 NTOK, NTMAX, TOK0(100), TOK1(100)

	NTMAX = 100
	ARTERM = .true.
	Call TOKENIZE (STRING,NTMAX,ARTERM,NTOK,TOK0,TOK1)

	NVAL = 0
	ITOK = 0
100	ITOK = ITOK + 1
	If (ITOK .gt. NTOK) Return
	I0 = TOK0(ITOK)
	I1 = TOK1(ITOK)

c  Handle - and end of range

	If (STRING(I0:I1) .eq. '-') Then
	    ITOK = ITOK + 1
	    I0 = TOK0(ITOK)
	    I1 = TOK1(ITOK)
	    NC = I1 - I0 + 1
	    Call ASCBINI4 (NC,STRING(I0:I1),VAL2,IER)
	    If (IER .eq. 0) Then
		VAL1 = VALUES(NVAL) + 1
		Do 120 VAL = VAL1, VAL2
		    NVAL = NVAL + 1
		    If (NVAL .gt. NMAX) Go to 900
120		    VALUES(NVAL) = VAL
	    Else
		Write(*,*) '*** DRANGE:  Illegal value = ',STRING(I0:I1)
	    Endif

c  Handle individual numbers (may be start of range)

	Else
	    NC = I1 - I0 + 1
	    Call ASCBINI4 (NC,STRING(I0:I1),VAL,IER)
	    If (IER .eq. 0) Then
		NVAL = NVAL + 1
		If (NVAL .gt. NMAX) Go to 900
		VALUES(NVAL) = VAL
	    Else
		Write(*,*) '*** DRANGE:  Illegal value = ',STRING(I0:I1)
	    Endif
	Endif

	Go to 100

900	Write(*,*) '*** DRANGE: Too many values >',NMAX
	NVAL = NMAX
	Return
	End
c Aug 21 1992	ASCBIN now returns IER=0 if OK instead of IER=1
