c*** File iolib/fopenr.f
c*** February 22, 1993
c*** Dick French and Doug Mink

	Subroutine FOPENR (IDEV, FNAME)

c--- Open a file for buffered reading

	Integer*4 IDEV
c			UNIX file descriptor (returned)
c			If =-2 on entry, there will be no printed error
c			messages, and IDEV will be unchanged on return.
	Character*(*) FNAME
c			Null-terminated file pathname
c			If error condition arises and IDEV is not =-2, this
c			subroutine will request a new file name from the user.

	Character FNAME0*64
	Integer*4 I,IDEV0,IER,LFN

c  Find length of file name and pad with nulls

	Call PADNULL (FNAME)

c  Check for existence of file

10	Call SSEXST (FNAME,IER)

c  If file exists,  check for read permission and see if it's an executable 
c  file.  If read-protected, print error message.  If IDEV=-2 on entry,
c  bail out; otherwise, prompt user for new file name and try again.

	If (IER .eq. 0) then
	   Call SSREAD (FNAME,IER)
	   If (IER .eq. -1) Then
	      If (IDEV .le. -2) Then
	         Return
	      Else
	         Call ESET
	         Write(*,20) FNAME
20		 Format('*** FOPENR: File "',A,'" is read-protected')
	         Go to 100
	      Endif
	   Else
	      Call SFOPEN (IDEV0,0,FNAME)
	      If (IDEV0 .eq. -1) Then
	         If (IDEV .le. -2) Then
	            Return
	         Else
	            Call ESET
	            Write(*,30) FNAME
30		    Format('*** FOPENR: File "',A,'" cannot be opened')
	            Go to 100
	         Endif
	      Else
	         IDEV = IDEV0
	         Return
	      Endif
	   Endif

c  If file does not exist, print error message.  If IDEV=-2 on entry,
c  bail out; otherwise, prompt user for new file name and try again.

	Else
	    If (IDEV .le. -2) Then
		Return
	    Else
		Call ESET
		Write(*,40) FNAME
40		Format('*** OPENR: File "',A,'" does not exist')
		Go to 100
	    Endif
	Endif

c  Enter new file name

100	Call ENTERC ('Enter new file name (0>none)$',164,FNAME0)
	Call ESET
	LFN = Len (FNAME)
	If ((FNAME0(1:1) .eq. '0') .or. (LFN .le. 0)) Return
	Do 105 I = 1, LFN
105	   FNAME(I:I) = FNAME0(I:I)
	Go to 10
	End

c Jun 21 1985	Use Character filenames in SSx and SOPENF calls
c Aug 23 1985	Don't print any error messages if IDEV is -2 or less.

c Jan 22 1988	Replace PADSTR call with PADNULL

c Jul 11 1991	Eliminate unnessary Return

c Feb 22 1993	Declare undeclared variables i, idev0, ier, and lfn
