c*** File iolib/seccal.f
c*** February 22, 1993
c*** By Doug Mink, after JPL

	Subroutine SECCAL (TSEC,N)

c--- Convert seconds past 0h, Jan. 1, 1950 to calendar date.

	Real*8 TSEC
c			Seconds since 1/1/1950 0h

	Integer*4 N(7)	
c			Month,day,year,hours,minutes,seconds,.0001 seconds

	Real*8 T,DAYS
	Integer*4 IM,M,NC,NC4,NLY,NY

c  Calculate time of day (hours, minutes, seconds, .1 msec)

	T = Dint ((TSEC + 61530883200.d0) * 1.d4 + .5d0)
	N(4) = Idint (Dmod (T/36.d6,24.d0))
	N(5) = Idint (Dmod (T/60.d4,60.d0))
	N(6) = Idint (Dmod (TSEC+1.d-6,60.d0))
	N(7) = Idint (Dmod (TSEC+1.d-6,1.d0) * 1.d4)

c  Calculate number of days since 0 hr 0/0/0000

	DAYS = Dint ((T / 864.d6) + 1.0d-6)

c  Number of leap centuries (400 years)

	NC4 = Idint ((DAYS / 146097.0d0) + 1.0d-5)

c  Number of centuries since last /400

	DAYS = DAYS - (146097.d0 * Dble (NC4))
	NC = Idint ((DAYS / 36524.d0) + 1.0d-4)
	If (NC .gt. 3) NC = 3

c  Calculate number of leap years since last century

	DAYS = DAYS - (36524.d0 * NC)
	NLY = Idint ((DAYS / 1461.d0) + 1.0d-10)

c  Calculate number of years since last leap year

	DAYS = DAYS - (1461.d0 * Dble (NLY))
	NY = Idint ((DAYS / 365.d0) + 1.d-8)
	If (NY .gt. 3) NY = 3

c  Calculate day of month

	DAYS = DAYS - (365.d0 * Dble (NY))
	N(2) = Idint (DAYS + 1.0d-8) + 1
	Do 10 M = 1,12
	    IM = Mod ((M + ((M - 1) / 5)), 2)
	    If (N(2)-1 .lt. IM+30) Go to 20
10	    N(2) = N(2) - IM - 30

c  Month

20	N(1)  =  Mod (M+1,12) + 1

c  Year

	N(3) = NC4*400 + NC*100 + NLY*4 + NY + M/11

	Return
	End

c Feb 22 1993	Declare undeclared variables im, m, nc, nc4, nly, and ny
