/*** File iolib/sfsiz.c
 *** May 7, 1996
 *** By Doug Mink
 */

#include <sys/types.h>
#include <sys/stat.h>

sfsiz_ (fpath,nbytes,nc)

/*   Find size of UNIX file (Fortran-callable)
 *
 *	Call SFSIZ (FPATH,NBYTES) from Fortran
 *
 *	Character*(*) FPATH
 *			Address of file pathname
 *	Integer*4 NBYTES
 *			Address of number of bytes in file (returned)
 */

char *fpath;
int *nbytes;
int nc;

{
    struct stat buff;

    if (stat (fpath, &buff))
	*nbytes = 0;
    else
	*nbytes = (int) buff.st_size;
    return;
}
/* Jan 20 1986	New subroutine

 * May  7 1996	Instantiate stat structure here
 */
