/*** File iolib/sputc.c
 *** March 30, 1986
 *** By Doug Mink
 */

sputc_ (dev,nbytes,buf,nwrit,nc)

/*   Write character string to UNIX file (Fortran-callable)
 *
 *	dev	Address of UNIX file descriptor
 *		Integer*4
 *
 *	nbytes	Address of number of bytes to read
 *		Integer*4
 *
 *	buf	Address of buffer array (values returned)
 *		Character*(*)
 *
 *	nwrit	Address of number of bytes written (returned, should = nbytes)
 *		Integer*4
 *
 *	nc	Number of characters in string buf
 *		* This is not explicitly in the calling argument list;
 *		* Fortran puts it there, necessitating this variation on SPUT
 */
char *buf;
int *nbytes,*dev,*nwrit,nc;
{
int nw,idev,nb;
extern int errno;

	idev = *dev;
	nb = *nbytes;
	nw = write (idev,buf,nb);

	if (nw > -1) *nwrit = nw;
	else *nwrit = -errno;

	return;
}
