/*** File iolib/stget.c
 *** March 3, 1997
 *** By Doug Mink
 */

stget_ (source,offset,nbytes,dest,nc)

/*   Move bytes from character string to variable (any numeric data type)
 *
 *	Call STGET (SOURCE,OFFSET,NBYTES,DEST)
 *
 *	SOURCE	Address of character string from which to move first byte
 *
 *	OFFSET	Address of offset from start of string
 *
 *	NBYTES	Address of number of bytes to move
 *
 *	DEST	Address of variable to which to move first byte
 */
char *source,*dest;
int *offset,*nbytes;
int nc;
{
char *from, *last, *to;
	from = source + *offset;
	to = dest;
	last = from + *nbytes;
	while (from < last) *(to++) = *(from++);
	return;
}


stgetr8_ (source,offset,dest,nc)
char	*source;
double	*dest;
int	*offset;
int	nc;
{
char *from, *last, *to;
	from = source + *offset;
	to =  (char *)dest;
	last = from + 8;
	while (from < last) *(to++) = *(from++);
	return;
}


stgetr4_ (source,offset,dest,nc)
char	*source;
float	*dest;
int	*offset;
int	nc;
{
char *from, *last, *to;
	from = source + *offset;
	to =  (char *)dest;
	last = from + 4;
	while (from < last) *(to++) = *(from++);
	return;
}


stgeti4_ (source,offset,dest,nc)
char	*source;
int	*dest;
int	*offset;
int	nc;
{
char *from, *last, *to;
	from = source + *offset;
	to =  (char *)dest;
	last = from + 4;
	while (from < last) *(to++) = *(from++);
	return;
}


stgeti2_ (source,offset,dest,nc)
char	*source;
short	*dest;
int	*offset;
int	nc;
{
char *from, *last, *to;
	from = source + *offset;
	to =  (char *)dest;
	last = from + 2;
	while (from < last) *(to++) = *(from++);
	return;
}
/* Nov 25 1987	New subroutine
 *
 * Mar  3 1997	Add type-specific versions
 */
