/*** File iolib/stgetl.c
 *** January 15,1990
 *** By Doug Mink
 */

stgetl_ (source,offset,nbytes,dest,ncs,ncd)

/*   Move one line from character string to another, smaller character string
 *
 *	Call STGETL (SOURCE,OFFSET,NBYTES,DEST)
 *
 *	SOURCE	Address of character string from which to move first byte
 *
 *	OFFSET	Address of offset from start of string (next line offset returned)
 *
 *	NBYTES	Address of number of bytes moved
 *
 *	DEST	Address of character string to which to move first byte
 */
char *source,*dest;
int *offset,*nbytes;
int ncs,ncd;
{
char *from, *last, *lastd, *to, *len, lf;

/*  Initialize pointers to start and end */
	from = source + *offset;
	to = dest;
	last = from + ncd;
	if (ncs < *offset) return;
	if (ncs < *offset + ncd) last = from + ncs;
	lastd = dest + (last - from);
	if (ncd < *lastd) last = from + ncd;
	lf = 10;

/*  Move bytes */
	while (from < last && *from != lf) *(to++) = *(from++);
	*nbytes = to - dest;

/*  Pad destination with zeroes */
	if (*nbytes < ncd) {
	    lastd = dest + ncd;
	    while (to < lastd) *(to++) = 0;
	    }

/*  Set offset to next line */
	*offset = *offset + *nbytes + 1;
	return;
}
