/*** File iolib/stputc.c
 *** March 10, 1988
 *** By Doug Mink
 */

stputc_ (source,offset,nbytes,dest,ncs,ncd)

/*   Move bytes from a character string into a longer character string
 *
 *	Call STPUT (SOURCE,OFFSET,NBYTES,DEST)
 *
 *	SOURCE	Address of character string from which to move first byte
 *
 *	OFFSET	Address of offset from start of string
 *
 *	NBYTES	Address of number of bytes to move
 *
 *	DEST	Address of character string to which to move bytes
 */
char *source,*dest;
int *offset,*nbytes;
int ncs,ncd;
{
char *from, *last, *to;
	from = source;
	to = dest + *offset;
	last = from + *nbytes;
	while (from < last) *(to++) = *(from++);
	return;
}
