/*** File iolib/stsec.c
 *** May 20, 1998
 *** By Doug Mink
 */
#include <sys/time.h>

void
stsec_ (sec)

/*   Return UT seconds since 1950.0 (Jan 0,1950, 12:00)
 *
 *	sec	UT seconds since 1950.0 (Real*8)
 */
double *sec;
{
    int tsec;
    double msec;
    struct timeval tp;
    struct timezone tzp;

    gettimeofday (&tp,&tzp);

    tsec = tp.tv_sec;
    tsec = tsec + 63115200 + 43200;

    /* Microseconds */
    msec = (double) tp.tv_usec;
    *sec = (double) tsec + (msec / 1000000.0);

    return;
}
/* Aug  5 1993	New subroutine
 *
 * May 20 1998	Declare void
 */
