/*** File iolib/vecadd.c
 *** June 15, 1988
 *** By Doug Mink, Center for Astrophysics
 */

vecadd_ (vec2,lvec,nadd)

/*   add constant to vector of 2-byte integers
 *
 *	vec2	Address of output Integer*2 vector
 *
 *	lvec	Address of number of elements in vector
 *
 *	nadd	Address of number to add to vector
 */

short *vec2;
int *lvec;
int *nadd;

{
short *v2, *veclast;

	v2 = vec2 - 1;
	veclast = v2 + *lvec;

	if (*nadd > 0) {
	    while (v2++ < veclast) { *v2 = *v2 + *nadd; } }
	
	return;
}
