/*** File iolib/vecmult.c
 *** June 15, 1988
 *** By Doug Mink, Center for Astrophysics
 */

vecmult_ (vec2,lvec,xmult)

/*   Multiply vector of 2-byte integers
 *
 *	vec2	Address of output Integer*2 vector
 *
 *	lvec	Address of number of elements in vector
 *
 *	xmult	Address of number by which to multiply vector
 */

short *vec2;
int *lvec;
float *xmult;

{
short *v2, *veclast;

	v2 = vec2 - 1;
	veclast = v2 + *lvec;

	if (*xmult > 0.) {
	    while (v2++ < veclast) {
		if (*v2 != 0) *v2 = (short) ((((float) *v2) * *xmult) + 0.5);
		/* printf ("%d * %d = %d \n",vr,*xmult,*v2); */
		}
	    }
	
	return;
}
