/*** File iolib/vecmult4.c
 *** June 15, 1988
 *** By Doug Mink, Center for Astrophysics
 */

vecmult4_ (vec4,lvec,xmult)

/*   Multiply vector of 4-byte integers
 *
 *	vec4	Address of output Integer*4 vector
 *
 *	lvec	Address of number of elements in vector
 *
 *	xmult	Address of number by which to multiply vector
 */

int *vec4;
int *lvec;
double *xmult;

{
int *v4, *veclast;

	v4 = vec4 - 1;
	veclast = v4 + *lvec;

	if (*xmult != 0.) {
	    while (v4++ < veclast) {
		if (*v4 > 0) *v4 = (int) ((((double) *v4) * *xmult) + 0.5);
		if (*v4 < 0) *v4 = (int) ((((double) *v4) * *xmult) - 0.5);
		/* printf ("%d * %d = %d \n",vr,*xmult,*v4); */
		}
	    }
	
	return;
}
