c*** File iolib/vlen.f
c*** May 10, 1995
c*** By Doug Mink

	Subroutine VLEN (V,L)

c--- Find length of $- or null-terminated or space-padded character string

	Character*(*) V
c			Character string
	Integer*4 L
c			Length of significant part of character string

	Integer*4 LVMAX

	LVMAX = Len (V)
	If (LVMAX .lt. 1) LVMAX = 1
	L = Index (V,'$') - 1
	If (L .lt. 0) L = Index (V,Char(0)) - 1
	If (L .lt. 0) Then

c  Find last non-blank character

	    Do 10 L = LVMAX, 1, -1
		If (V(L:L) .ne. ' ') Go to 20
10		Continue
	    L = LVMAX
20	    Continue
	    Endif

	If (L .gt. LVMAX) L = LVMAX
	If (L .lt. 0) L = LVMAX

	Return
	End


	Integer*4 Function ILEN (V)

c--- Find length of $, null, or linefeed- terminated or literal string

	Character*(*) V
c			Character string
	Integer*4 L

	Call VLEN (V,L)

	ILEN = L

	Return
	End

c Oct 27 1988	Add space-padded string checking to VLEN

c Oct  5 1990	Fix bug when finding length of blank-padded string

c Feb 22 1993	Declare undeclared variables i, lvmax, ilen, and l

c May 10 1995	Fix bug by using l instead of i in loop
